/////////////////////////////////////////////////////////////////////////////
//  File:       FormulaView.h
//  Version:    1.0.0.0
//  Created:    03-april-2002
//
//  Author:     Thorsten Wack
//  E-mail:     wt@umsicht.fhg.de
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_FORMULAVIEW_H__70C984F3_421E_11D6_9999_00047695DC03__INCLUDED_)
#define AFX_FORMULAVIEW_H__70C984F3_421E_11D6_9999_00047695DC03__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CFormulaView : public CView
{
protected: // create from serialization only
	CFormulaView();
	DECLARE_DYNCREATE(CFormulaView)

// Attributes
public:
	CFormulaDoc* GetDocument();
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFormulaView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CFormulaView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CFormulaView)
	afx_msg void OnFormula();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in FormulaView.cpp
inline CFormulaDoc* CFormulaView::GetDocument()
   { return (CFormulaDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FORMULAVIEW_H__70C984F3_421E_11D6_9999_00047695DC03__INCLUDED_)
